Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.util
Class DebuggingPrintWriter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              org.directwebremoting.util.DebuggingPrintWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable

    public class DebuggingPrintWriter

extends java.io.PrintWriter

A PrintWriter that also sends its output to a log stream

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Constructor Summary
`DebuggingPrintWriter(java.lang.String prefix, java.io.OutputStream out)` Create a new PrintWriter, without automatic line flushing, from an existing OutputStream.
`DebuggingPrintWriter(java.lang.String prefix, java.io.OutputStream out, boolean autoFlush)` Create a new PrintWriter from an existing OutputStream.
`DebuggingPrintWriter(java.lang.String prefix, java.io.Writer out)` Create a new PrintWriter, without automatic line flushing.
`DebuggingPrintWriter(java.lang.String prefix, java.io.Writer out, boolean autoFlush)` Create a new PrintWriter.

Method Summary
`java.lang.String` | `getPrefix()` How to we prefix all the debugging lines?
`void` | `print(boolean x)`
`void` | `print(char x)`
`void` | `print(char[] x)`
`void` | `print(double x)`
`void` | `print(float x)`
`void` | `print(int x)`
`void` | `print(long x)`
`void` | `print(java.lang.Object x)`
`void` | `print(java.lang.String x)`
`void` | `println()`
`void` | `println(boolean x)`
`void` | `println(char x)`
`void` | `println(char[] x)`
`void` | `println(double x)`
`void` | `println(float x)`
`void` | `println(int x)`
`void` | `println(long x)`
`void` | `println(java.lang.Object x)`
`void` | `println(java.lang.String x)`
`void` | `setPrefix(java.lang.String prefix)` How to we prefix all the debugging lines?

Methods inherited from class java.io.PrintWriter
`append, append, append, checkError, close, flush, format, format, printf, printf, write, write, write, write, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DebuggingPrintWriter

    public DebuggingPrintWriter(java.lang.String prefix,
                                java.io.Writer out)

  Create a new PrintWriter, without automatic line flushing.

  Parameters:
    `prefix` - A tag to prefix lines with for debugging purposes
    `out` - A character-output stream

### DebuggingPrintWriter

    public DebuggingPrintWriter(java.lang.String prefix,
                                java.io.Writer out,
                                boolean autoFlush)

  Create a new PrintWriter.

  Parameters:
    `prefix` - A tag to prefix lines with for debugging purposes
    `out` - A character-output stream
    `autoFlush` - A boolean; if true, the println() methods will flush the output buffer

### DebuggingPrintWriter

    public DebuggingPrintWriter(java.lang.String prefix,
                                java.io.OutputStream out)

  Create a new PrintWriter, without automatic line flushing, from an existing OutputStream. This convenience constructor creates the necessary intermediate OutputStreamWriter, which will convert characters into bytes using the default character encoding.

  Parameters:
    `prefix` - A tag to prefix lines with for debugging purposes
    `out` - An output stream
  See Also:
    `OutputStreamWriter.OutputStreamWriter(java.io.OutputStream)`

### DebuggingPrintWriter

    public DebuggingPrintWriter(java.lang.String prefix,
                                java.io.OutputStream out,
                                boolean autoFlush)

  Create a new PrintWriter from an existing OutputStream. This convenience constructor creates the necessary intermediate OutputStreamWriter, which will convert characters into bytes using the default character encoding.

  Parameters:
    `prefix` - A tag to prefix lines with for debugging purposes
    `out` - An output stream
    `autoFlush` - A boolean; if true, the println() methods will flush the output buffer
  See Also:
    `OutputStreamWriter.OutputStreamWriter(java.io.OutputStream)`

Method Detail

### print

    public void print(boolean x)

  Overrides:
    `print` in class `java.io.PrintWriter`

### print

    public void print(char x)

  Overrides:
    `print` in class `java.io.PrintWriter`

### print

    public void print(int x)

  Overrides:
    `print` in class `java.io.PrintWriter`

### print

    public void print(long x)

  Overrides:
    `print` in class `java.io.PrintWriter`

### print

    public void print(float x)

  Overrides:
    `print` in class `java.io.PrintWriter`

### print

    public void print(double x)

  Overrides:
    `print` in class `java.io.PrintWriter`

### print

    public void print(char[] x)

  Overrides:
    `print` in class `java.io.PrintWriter`

### print

    public void print(java.lang.String x)

  Overrides:
    `print` in class `java.io.PrintWriter`

### print

    public void print(java.lang.Object x)

  Overrides:
    `print` in class `java.io.PrintWriter`

### println

    public void println()

  Overrides:
    `println` in class `java.io.PrintWriter`

### println

    public void println(boolean x)

  Overrides:
    `println` in class `java.io.PrintWriter`

### println

    public void println(char x)

  Overrides:
    `println` in class `java.io.PrintWriter`

### println

    public void println(int x)

  Overrides:
    `println` in class `java.io.PrintWriter`

### println

    public void println(long x)

  Overrides:
    `println` in class `java.io.PrintWriter`

### println

    public void println(float x)

  Overrides:
    `println` in class `java.io.PrintWriter`

### println

    public void println(double x)

  Overrides:
    `println` in class `java.io.PrintWriter`

### println

    public void println(char[] x)

  Overrides:
    `println` in class `java.io.PrintWriter`

### println

    public void println(java.lang.String x)

  Overrides:
    `println` in class `java.io.PrintWriter`

### println

    public void println(java.lang.Object x)

  Overrides:
    `println` in class `java.io.PrintWriter`

### getPrefix

    public java.lang.String getPrefix()

  How to we prefix all the debugging lines?

  Returns:
    the prefix

### setPrefix

    public void setPrefix(java.lang.String prefix)

  How to we prefix all the debugging lines?

  Parameters:
    `prefix` - the prefix to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD